| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
color_encoding.hpp File Reference

GLM_GTX_color_encoding More...

Go to the source code of this file.

## Functions
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | convertD65XYZToD50XYZ (vec< 3, T, Q > const &ColorD65XYZ)
| Convert a D65 YUV color to D50 YUV.
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | convertD65XYZToLinearSRGB (vec< 3, T, Q > const &ColorD65XYZ)
| Convert a D65 YUV color to linear sRGB.
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | convertLinearSRGBToD50XYZ (vec< 3, T, Q > const &ColorLinearSRGB)
| Convert a linear sRGB color to D50 YUV.
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | convertLinearSRGBToD65XYZ (vec< 3, T, Q > const &ColorLinearSRGB)
| Convert a linear sRGB color to D65 YUV.

## Detailed Description

GLM_GTX_color_encoding

See also
  Core features (dependence)
  GLM_GTX_color_encoding (dependence)

Definition in file color_encoding.hpp.